php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #57953 Unable to load dynamic library
Submitted: 2007-12-05 05:10 UTC Modified: 2007-12-05 06:31 UTC
From: rakesh dot mishra at netkode dot net Assigned:
Status: Not a bug Package: memcache (PECL)
PHP Version: 5.1.6 OS: CentOS
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: rakesh dot mishra at netkode dot net
New email:
PHP Version: OS:

 

 [2007-12-05 05:10 UTC] rakesh dot mishra at netkode dot net
Description:
------------
I have configured two version of memcached i.e. 2.2.1 and 2.1.0 and when i tried to run the script i got following error 
in 2.2.1- 
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/memcache.so' - /usr/lib/php/modules/memcache.so: undefined symbol: _zval_dtor in Unknown on line 0
<br />
<b>Warning</b>:  PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/memcache.so' - /usr/lib/php/modules/memcache.so: undefined symbol: _zval_dtor in <b>Unknown</b> on line <b>0</b><br />
PHP Fatal error:  Class 'Memcache' not found in /home/rakesh/rackserver/connect_memcache.php on line 2

Fatal error: Class 'Memcache' not found in /home/rakesh/rackserver/connect_memcache.php on line 2


where as in 2.1.0-
PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/memcache.so' - /usr/lib/php/modules/memcache.so: undefined symbol: empty_string in Unknown on line 0
<br />
<b>Warning</b>:  PHP Startup: Unable to load dynamic library '/usr/lib/php/modules/memcache.so' - /usr/lib/php/modules/memcache.so: undefined symbol: empty_string in <b>Unknown</b> on line <b>0</b><br />
PHP Fatal error:  Class 'Memcache' not found in /home/rakesh/rackserver/connect_memcache.php on line 2

Fatal error: Class 'Memcache' not found in /home/rakesh/rackserver/connect_memcache.php on line 2

please help me out



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-12-05 05:30 UTC] tony at daylessday dot org
The error mean you have old (5.0.x most likely) PHP headers installed and they were used when you built the extension, but you're trying to load it with new PHP.
I suggest you to reinstall PHP or remove the old headers manually (and put the new ones instead).
 [2007-12-05 06:24 UTC] rakesh dot mishra at netkode dot net
Sorry, my php version is 5.1.6 not 5.2.1
 [2007-12-05 06:28 UTC] rakesh dot mishra at netkode dot net
my php version is 5.1.6. , what you will suggest still i have to upgrade my PHP.
 [2007-12-05 06:31 UTC] tony at daylessday dot org
Doesn't matter, your PHP headers are still from 5.0.x.
But as a matter of fact, yes, I'd recommend you to upgrade to 5.2.x.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Dec 06 02:03:34 2021 UTC